## ocaml-parany 8.0.0

=== Makefile ===
.PHONY: build build-test clean edit install uninstall reinstall test

build:
	dune build @install -j 16

build-test: build
	dune build src/test.exe

clean:
	rm -rf _build

edit:
	emacs src/*.ml &

install: build
	dune install

uninstall:
	dune uninstall

reinstall: uninstall install

test: build-test
	./test.sh

=== debian/changelog ===
ocaml-parany (8.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #981827)

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 04 Feb 2021 16:20:22 +0100

=== debian/control ===
Source: ocaml-parany
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Johannes 'josch' Schauer <josch@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 dh-ocaml,
 libocamlnet-ocaml-dev,
 libcpu-ocaml-dev,
Standards-Version: 4.5.1
Section: ocaml
Homepage: https://github.com/UnixJunkie/parany
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-parany.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-parany
Rules-Requires-Root: no

Package: libparany-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Generalized map reduce for parallel computers (development)
 Parallelize any kind of computation. Generalized map reduce for parallel
 computers (not distributed computing).  Can process a very large file in
 parallel on a multicore computer; provided there is a way to cut your file into
 independent blocks (the "demux" function).  Can process in parallel an infinite
 stream of elements.
 .
 This package contains the development files.

Package: libparany-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Generalized map reduce for parallel computers (runtime)
 Parallelize any kind of computation. Generalized map reduce for parallel
 computers (not distributed computing).  Can process a very large file in
 parallel on a multicore computer; provided there is a way to cut your file into
 independent blocks (the "demux" function).  Can process in parallel an infinite
 stream of elements.
 .
 This package contains the runtime files.

## ocaml-parany 12.1.2

=== debian/changelog ===
ocaml-parany (12.1.2-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 01:03:03 +0100

ocaml-parany (12.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Dec 2021 16:04:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-ocaml,
  libocamlnet-ocaml-dev,
  libcpu-ocaml-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: ocaml
 Homepage: https://github.com/UnixJunkie/parany
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-parany.git

## ocaml-parany 12.2.2

=== debian/changelog ===
ocaml-parany (12.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 03 Feb 2023 06:27:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Johannes 'josch' Schauer <josch@debian.org>
+ Johannes Schauer Marin Rodrigues <josch@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml --no-parallel

# we need to pass -p parany because otherwise we get this error on salsaci:
# Error: Too many opam files for package "parany":
# - debian/output/source_dir/parany.opam
# - parany.opam
# See: https://salsa.debian.org/salsa-ci-team/pipeline/-/issues/200
override_dh_auto_build:
	dune build -p parany --verbose

override_dh_auto_install:
	dune install -p parany --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune build -p parany src/test.exe
	./test.sh
endif

override_dh_missing:
	dh_missing --fail-missing

## ocaml-parany 14.0.0

=== debian/changelog ===
ocaml-parany (14.0.0-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:39:34 +0200

ocaml-parany (14.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 10:44:33 +0200

ocaml-parany (12.2.2-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 07:16:53 +0200

## ocaml-parany 14.0.1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 build-test: build
 	dune build src/test.exe
+	dune build src/test_parmap.exe
 
 clean:
 	rm -rf _build

=== debian/changelog ===
ocaml-parany (14.0.1-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:15:18 +0100

ocaml-parany (14.0.1-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:32:40 +0200

ocaml-parany (14.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Oct 2023 10:36:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  Johannes Schauer Marin Rodrigues <josch@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
- dh-ocaml,
+ dh-ocaml (>= 1.2),
  libocamlnet-ocaml-dev,
  libcpu-ocaml-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: ocaml
 Homepage: https://github.com/UnixJunkie/parany
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-parany.git
